<?php 
	// Zdefiniowanie zmiennych.
	$nameErr = $ageErr = $toysErr =  ""; 
	$name = $age =  "";
	$toys = array(); 

	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		if ( empty( $_POST['name'] ) ) {
			$nameErr = 'Podanie imienia jest wymagane.';
		} else {
			$name = $_POST['name'];
		}

		$agecheck = (isset($_POST['age']) ? $_POST['age'] : null);
		if ( !is_numeric( $agecheck ) ) {
			$ageErr = "Podanie poprawnego wieku jest wymagane.";
		} else {
			$age = $_POST['age'];
		}

		if ( empty( $_POST['toys'] ) ) {
			$toysErr = 'Wymagane jest wybranie przynajmniej jednego gadżetu.';
		} else {
			$toys = $_POST['toys']; 
		}
	}
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Formularz rejestracyjny</title>
    <style>
      .error { color: red; }
    </style>
  </head>
  <body>
    <h1> Formularz rejestracyjny </h1>

    <p>Proszę wypełnić poniższy formularz, aby zarejestrować się w witrynie.
    Pola o etykietach wyświetlonych pogrubioną czcionką są wymagane.</p>

    <form method="post" action="<?php echo htmlspecialchars
      ($_SERVER["PHP_SELF"]);?>">
    <p>
    <label for="name"><b>Imię:</b></label>
    <br>
    <input id="name" value="<?php echo htmlspecialchars($name);?>">
    <span class="error"><?php echo $nameErr;?></span>
    </p>

    <p>
    <label for="age"><b>Wiek:</label></b><br>
    <input id="age" value="<?php echo htmlspecialchars($age);?>">
    <span class="error"><?php echo $ageErr;?></span>
    </p>

    <p>
    <label><b>Gadżety:</b></label>
    <br>
    <?php 
      $options = array('Aparat cyfrowy','Odtwarzacz MP3','Tablet');
      foreach ($options as $option) { 
        echo '<label><input type="checkbox" name="toys[]" '; 
        echo 'value="' . $option . '"';
        if ( is_array($toys) && in_array($option, $toys ) ) {
          echo " checked";
        }
        echo ">" . $option . "</label><br>" ; 
      } 
    ?> 
    <span class="error"><?php echo $toysErr; ?></span>
    </p>

    <p><input type="submit" value="Rejestruj" /></p>
    </form>
  </body>
</html>
